Subject: RE: [Sigtran] SUA: DAUD procedure

From: "Bep Verberk"<[email-masked]>
Date: Fri, 26 Apr 2002 08:36:07 -0400

I agree, 
the DAUD should not "TRIGGER" a SST at the SGP.
It just essentially queries the SGPs availability view of the Subsystem

Bep

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Thursday, April 25, 2002 2:18 PM
> To: Garnero, Pierre
> Cc: [email-masked]
> Subject: Re: [Sigtran] SUA: DAUD procedure
> 
> 
> Pierre,
> 
> This statement in the "Example" in 5.1.2.1 is obviously incorrect
> and should be removed.  Which actions trigger which messgaes to the
> SS7 network are a matter for the SG implementation to decide in
> accordance with SS7 specifications and interworking requirements
> and is out of scope of all the UA drafts.
> 
> The following statement in section 4.1.3 of draft-07 of SUA got
> lost and never came back:
> 
>   When the DAUD message is received at the SGP from an ASP, the SGP
>   check the status of the specified SS7 destinations and returns DAVA,
>   DUNA, DRST or SCON depending on the result of the check.  The SGP
>   initiates SST (Subsystem Status Test) procedures by following the
>   SCCP procedures described in Q.714; the receipt of a DAUD message
>   does not trigger these.
> 
> It was removed probably because the statement was too 
> variant-specific.
> Some variants (TTC last time I checked) do not even support SCMG at
> all.  It was just missed as being removed from the example.
> 
> I propose that we strike the last statement about SST in the example,
> or reword to indicate that the SGP initiates SST on its own.
> 
> --brian
> 
> Garnero, Pierre wrote:                                   
> (Thu, 25 Apr 2002 19:22:04)
> > Hi,
> > 
> > in draft-ietf-sigtran-sua-13.txt, paragraph 4.5.3 ASP 
> Auditing, it seems
> > that the receipt of a DAUD on a SG does not have any impact 
> on the SS7
> > network (which seems fair to me: the ASP just requests the status of
> > destination or subsystems from the SG point of view).
> >
> > Now, in paragraph 5.1.2.1 SEP Failover, it is indicated 
> "ASP-a1 uses a DAUD
> > to instruct the SGP to invoke the SS7 Sub-system Test 
> procedure" and a
> > flow-chart depicts the sending of an SST... But the 
> periodic Subsystem Test
> > Procedure is already triggered by the SCCP layer of the SG, no ? 
> >
> > Is it really necessary to trigger the SCCP Subsys. Test 
> Procedure on receipt
> > of a DAUD if the audited SSN is marked as unavailable on the SG ? 
> > 
> > Cheers,
> > 
> > Pierre Garnero, TPU
> > COMPAQ, Valbonne Sophia-Antipolis
> > Phone: +33 (0)4-92-95-54-70  
> > Fax: +33 (0)4-92-95-63-63
> > E-mail: [email-masked]
> > 
> > 
> > 
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>